<?php
class EmpresaEntity Extends EmpresaRepository{
    private $options = array(
        'nombre'=>null,
        'direccion'=>null,
        'ciudad'=>null,
        'estado'=>null,
        'pais'=>'US',
        'codigopostal'=>null,
        'nombre_contacto'=>null,
        'telefono'=>null,
        'fax'=>null,
        'email'=>null,
        'paginaweb'=>null,
    );
    
    public function setOptions($data){
      foreach ($this->options as $option => $value){
          if(isset($data[$option])){
            $this->options[$option] = $data[$option];
          }
      }
    }
  
    public function getOptions(){
        return $this->options;
    }
    
    public function getNombre(){
        return $this->options['nombre'];
    }
    
    public function getDireccion(){
        return $this->options['direccion'];
    } 
    
    public function getCiudad(){
        return $this->options['ciudad'];
    }
    
    public function getEstado(){
        return $this->options['estado'];
    }
    
    public function getCodigoPostal(){
        return $this->options['codigopostal'];
    }
    
    public function getTelefono(){      
        return $this->options['telefono'];
    }
    
    public function getEmail(){     
        return $this->options['email'];
    }
    
    public function getPaginaWeb(){
         return $this->options['paginaweb'];
    }
}